Pikslov
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Podrobnosti | Opis |
|---|---|---|
| search | Neobvezno Niz | Iskalni niz. |
| search_by | Neobvezno Niz | Po katerem področju iščete? Dovoljene vrednosti so: name, pixel. |
| type | Neobvezno Niz | Dovoljene vrednosti: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Neobvezno Niz | Dovoljene vrednosti: datetime, last_datetime |
| datetime_start | Neobvezno Niz | Filtrirajte rezultate od tega datuma in časa naprej. Format Y-m-d H:i:s. |
| datetime_end | Neobvezno Niz | Filtrirajte rezultate do tega datuma in časa. Format Y-m-d H:i:s. |
| order_by | Neobvezno Niz | Po katerem polju naj se razvrstijo rezultati. Dovoljene vrednosti so: pixel_id, datetime, last_datetime, name. |
| order_type | Neobvezno Niz | Razvrščanje rezultatov. Dovoljene vrednosti so: ASC za naraščajoče razvrščanje in DESC za padajoče razvrščanje. |
| page | Neobvezno Celo število | Številka strani, iz katere želite rezultate. Privzeto je 1. |
| results_per_page | Neobvezno Celo število | Koliko rezultatov želite na stran. Dovoljene vrednosti so: 10, 25, 50, 100, 250, 500, 1000. Privzeto je 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 17:03:27",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 17:03:27",
}
}
POST https://tistos.com/api/pixels
| Parametri | Podrobnosti | Opis |
|---|---|---|
| type | Obvezno Niz | Dovoljene vrednosti: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Obvezno Niz | - |
| pixel | Obvezno Niz | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| Parametri | Podrobnosti | Opis |
|---|---|---|
| type | Neobvezno Niz | Dovoljene vrednosti: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Neobvezno Niz | - |
| pixel | Neobvezno Niz | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \